/* eslint-disable max-len */
import React, { SVGProps } from "react";

import { IiCon } from "@/types/IconInterface";

import styles from "./IconFills.module.scss";

export const CloseSquareIcon = ({ color, width = "1rem", height = "1rem", ...restProps }: IiCon & SVGProps<SVGSVGElement>) => (
    <svg
        className={styles[`icon_color-${color}`]}
        style={{ width: width, height: height }}
        viewBox="0 0 16 16"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
        {...restProps}
    >
        <path
            fillRule="evenodd"
            clipRule="evenodd"
            d="M5.11325 1.33276H10.8933C13.1533 1.33276 14.6666 2.91943 14.6666 5.27943V10.7268C14.6666 13.0801 13.1533 14.6661 10.8933 14.6661H5.11325C2.85325 14.6661 1.33325 13.0801 1.33325 10.7268V5.27943C1.33325 2.91943 2.85325 1.33276 5.11325 1.33276ZM10.0066 9.99943C10.2333 9.77343 10.2333 9.40676 10.0066 9.1801L8.81992 7.99343L10.0066 6.8061C10.2333 6.5801 10.2333 6.20676 10.0066 5.9801C9.77992 5.75276 9.41325 5.75276 9.17992 5.9801L7.99992 7.1661L6.81325 5.9801C6.57992 5.75276 6.21325 5.75276 5.98659 5.9801C5.75992 6.20676 5.75992 6.5801 5.98659 6.8061L7.17325 7.99343L5.98659 9.17343C5.75992 9.40676 5.75992 9.77343 5.98659 9.99943C6.09992 10.1128 6.25325 10.1734 6.39992 10.1734C6.55325 10.1734 6.69992 10.1128 6.81325 9.99943L7.99992 8.8201L9.18658 9.99943C9.29992 10.1201 9.44658 10.1734 9.59325 10.1734C9.74658 10.1734 9.89325 10.1128 10.0066 9.99943Z"
        />
    </svg>
);
